Part: Cilindru

From FreeCAD Documentation
This page is a translated version of the page Part Cylinder and the translation is 3% complete.
Outdated translations are marked like this.

Part Cylinder

poziția meniului
Part -> Cylinder
Ateliere
Part Workbench, Complete
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Part CreatePrimitives

Description

Descriere

Creează un simplu cilindru parametric, cu parametrii de poziție, unghi, rază și înălțime.

A Part Cylinder can be turned into a segment of a cylinder by changing its DateAngle property.

Cum se folosește

În bara de lucru Atelierului Part faceți clic pe pictograma cilindrului . Valoarea prestabilită este pentru poziționarea unui cilindru complet, centrul unei fețe circulare care coincide cu originea globală (punctul 0,0,0), cu o rază de 2 mm și o înălțime de 10 mm.

Prima metodă

Faceți clic direct pe butonul Cilindru din bara de instrumente.

Creează un cilindru implicit cu o rază de 2 mm, înălțime de 10 mm și centrul cercului inferior poziționat la origine (punctul 0,0,0).

  1. There are several ways to invoke the command:
    • Press the Part Cylinder button.
    • Select the Part → Primitives → Cylinder option from the menu.
  2. The cylinder is created.
  3. Optionally change the dimensions and DatePlacement of the cylinder by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DatePlacement with the Std TransformManip command.

Example

Part Cylinder from the scripting example

A Part Cylinder object created with the scripting example below is shown here.

Notes

  • A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Opțiuni

Proprietățile pot fi ulterior editate în fila de date pentru cilindru:

See also: Property editor.

A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cylinder

  • DateRadius (Length): The radius of the circular arc that defines the cylinder. The default is 2mm.
  • DateHeight (Length): The height of the cylinder. The default is 10mm.
  • DateAngle (Angle): The angle of the circular arc that defines the cylinder. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cylinder.

Prism

  • DateFirst Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • DateSecond Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cylinder can be created with the addObject() method of the document:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()